Subject: UDP response times

From: "D. J. Bernstein" <[email-masked]>
Date: 3 Dec 1998 04:11:05 -0000

Has anyone measured the distribution of response times to DNS queries?

How often does a live server take more than half a second, including
RTT, to respond to a non-recursive query packet? How often does a server
respond to another packet after (say) 4 seconds if it didn't respond to
the first packet? How often does it respond to a third DNS packet after
(say) 12 seconds if it didn't respond to the first two packets?

Has there been any serious study of the relation between success rate,
bandwidth use, and latency for various UDP retransmission strategies?

---Dan

---

From: "Emerson, Dave (D.)" <[email-masked]>
Date: Thu, 3 Dec 1998 15:27:55 -0000

You would need to understand not only the behaviour of the servers but also
the routers in the path.  Routers have different resources and strategies
especially when presented with congestion conditions.  This effects the
transmission (when and if)  of both enquiry and response packets.